# Replenishment

Replenishment proposals

## GET /wms/replenishment-proposal/{id}

> Find an existing Resource by identifier

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Replenishment","description":"Replenishment proposals"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/wms/replenishment-proposal/{id}":{"get":{"tags":["Replenishment"],"summary":"Find an existing Resource by identifier","operationId":"getById","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-ReplenishmentProposal"}}}},"404":{"description":"Resource with given ID was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-wms-ReplenishmentProposal":{"description":"Nachschubvorschlag","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"number":{"type":"string","description":"Nummer","readOnly":true},"state":{"type":"string","description":"Status des Nachschubvorschlags","enum":["OPEN","FINISHED","CANCELLED"],"readOnly":true},"picklistRefs":{"type":"array","description":"Nachschub-Picklisten","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"readOnly":true},"sourceDocumentRef":{"$ref":"#/components/schemas/erp-document-DocumentRef"},"targetDocumentRef":{"$ref":"#/components/schemas/erp-document-DocumentRef"},"finishLogLines":{"type":"array","description":"Abschluss-Protokoll","items":{"$ref":"#/components/schemas/common-task-TaskLogLine"},"readOnly":true},"lines":{"type":"array","description":"Positionen","items":{"$ref":"#/components/schemas/erp-wms-ReplenishmentProposalLine"}}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"erp-document-DocumentRef":{"description":"Referenz auf ein Document","properties":{"id":{"type":"integer","format":"int64","description":"ID"},"category":{"type":"string","description":"Dokumenttypen","enum":["CUSTOMER_OFFER","CUSTOMER_ORDER","CUSTOMER_DELIVERY_DOCUMENT","CUSTOMER_INVOICE","CUSTOMER_PROFORMA_INVOICE","CUSTOMER_DELIVERY_INVOICE","CUSTOMER_PROGRESS_INVOICE","CUSTOMER_FINAL_INVOICE","CUSTOMER_PARTIAL_INVOICE","CUSTOMER_INVOICE_CANCELLATION","CUSTOMER_DELIVERY_INVOICE_CANCELLATION","CUSTOMER_PROGRESS_INVOICE_CANCELLATION","CUSTOMER_FINAL_INVOICE_CANCELLATION","CUSTOMER_PARTIAL_INVOICE_CANCELLATION","CUSTOMER_DEPOSIT_INVOICE","CUSTOMER_DEPOSIT_INVOICE_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK_CANCELLATION","SUPPLIER_PRICE_REQUEST","SUPPLIER_ORDER","SUPPLIER_DELIVERY_DOCUMENT","SUPPLIER_INVOICE","SUPPLIER_DELIVERY_INVOICE","SUPPLIER_CREDIT_NOTE_WITH_STOCK","SUPPLIER_CREDIT_NOTE_WITHOUT_STOCK","SUPPLIER_DEPOSIT_INVOICE","SUPPLIER_PROGRESS_INVOICE","SUPPLIER_PARTIAL_INVOICE","SUPPLIER_FINAL_INVOICE","COMMISSION_SETTLEMENT","COMMISSION_SETTLEMENT_CANCELLATION","SUPPLIER_COMMISSION_CREDIT_NOTE","SUPPLIER_COMMISSION_CREDIT_NOTE_CANCELLATION","CUSTOMER_SUBSCRIPTION_CONTRACT","POS_CASH_JOURNAL_OPENING","POS_CASH_RECEIPT","POS_RETURN_CASH_RECEIPT","POS_CASH_JOURNAL_DEPOSIT","POS_CASH_JOURNAL_EXPENSE","POS_CASH_JOURNAL_CLOSING","FABRICATION_ORDER"]},"documentType":{"type":"string","description":"Belegart"},"documentState":{"type":"string","description":"Belegstatus"},"number":{"type":"string","description":"Belegnummer"}},"required":["id"]},"common-task-TaskLogLine":{"description":"Abschluss-Protokoll","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"logTime":{"type":"string","format":"date-time","description":"logTime","readOnly":true},"origin":{"type":"string","description":"log level","enum":["DEBUG","INFO","WARNING","ERROR","CONSOLE","STACKTRACE"],"readOnly":true},"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"}}},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"erp-wms-ReplenishmentProposalLine":{"description":"Position vom Nachschubvorschlag","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"sourceStorageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"targetStorageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"proposedQuantity":{"type":"number","description":"Vorgeschlagene Menge","readOnly":true},"replenishedQuantity":{"type":"number","description":"Tatsächliche Nachschubmenge"},"bookings":{"type":"array","description":"Buchungsdetails","items":{"$ref":"#/components/schemas/erp-wms-ReplenishmentProposalLineBooking"}}},"required":["articleRef","proposedQuantity","replenishedQuantity","sourceStorageRef","targetStorageRef"]},"erp-wms-ReplenishmentProposalLineBooking":{"description":"Buchungsdetails vom Nachschubvorschlag","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageBinRef":{"$ref":"#/components/schemas/erp-stock-StorageBinRef"},"serialNumber":{"$ref":"#/components/schemas/erp-product-ArticleSerialNumber"},"quantity":{"type":"number","description":"Menge"}},"required":["quantity","storageBinRef"]},"erp-stock-StorageBinRef":{"description":"Lagerplatz","properties":{"id":{"type":"integer","format":"int64","description":"ID"},"displayName":{"type":"string","description":"Anzeigename"},"color":{"type":"string","description":"Anzeigefarbe"},"storageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"erp-product-ArticleSerialNumber":{"description":"Seriennummer","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"serialNumber1":{"type":"string","description":"Seriennummer 1","maxLength":255,"minLength":0},"serialNumber2":{"type":"string","description":"Seriennummer 2","maxLength":255,"minLength":0},"expiryDate":{"type":"string","format":"date","description":"Haltbarkeitsdatum"},"note":{"type":"string","description":"Notiz"},"udi":{"type":"string","description":"Unique Device Identifier (UDI)"}},"required":["articleRef","serialNumber1"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## PUT /wms/replenishment-proposal/{id}

> Update existing Resource&#x20;

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Replenishment","description":"Replenishment proposals"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/wms/replenishment-proposal/{id}":{"put":{"tags":["Replenishment"],"summary":"Update existing Resource ","operationId":"update","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-ReplenishmentProposal"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-ReplenishmentProposal"}}}},"404":{"description":"Resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-wms-ReplenishmentProposal":{"description":"Nachschubvorschlag","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"number":{"type":"string","description":"Nummer","readOnly":true},"state":{"type":"string","description":"Status des Nachschubvorschlags","enum":["OPEN","FINISHED","CANCELLED"],"readOnly":true},"picklistRefs":{"type":"array","description":"Nachschub-Picklisten","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"readOnly":true},"sourceDocumentRef":{"$ref":"#/components/schemas/erp-document-DocumentRef"},"targetDocumentRef":{"$ref":"#/components/schemas/erp-document-DocumentRef"},"finishLogLines":{"type":"array","description":"Abschluss-Protokoll","items":{"$ref":"#/components/schemas/common-task-TaskLogLine"},"readOnly":true},"lines":{"type":"array","description":"Positionen","items":{"$ref":"#/components/schemas/erp-wms-ReplenishmentProposalLine"}}}},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"erp-document-DocumentRef":{"description":"Referenz auf ein Document","properties":{"id":{"type":"integer","format":"int64","description":"ID"},"category":{"type":"string","description":"Dokumenttypen","enum":["CUSTOMER_OFFER","CUSTOMER_ORDER","CUSTOMER_DELIVERY_DOCUMENT","CUSTOMER_INVOICE","CUSTOMER_PROFORMA_INVOICE","CUSTOMER_DELIVERY_INVOICE","CUSTOMER_PROGRESS_INVOICE","CUSTOMER_FINAL_INVOICE","CUSTOMER_PARTIAL_INVOICE","CUSTOMER_INVOICE_CANCELLATION","CUSTOMER_DELIVERY_INVOICE_CANCELLATION","CUSTOMER_PROGRESS_INVOICE_CANCELLATION","CUSTOMER_FINAL_INVOICE_CANCELLATION","CUSTOMER_PARTIAL_INVOICE_CANCELLATION","CUSTOMER_DEPOSIT_INVOICE","CUSTOMER_DEPOSIT_INVOICE_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK","CUSTOMER_CREDIT_NOTE_WITHOUT_STOCK_CANCELLATION","CUSTOMER_CREDIT_NOTE_WITH_STOCK_CANCELLATION","SUPPLIER_PRICE_REQUEST","SUPPLIER_ORDER","SUPPLIER_DELIVERY_DOCUMENT","SUPPLIER_INVOICE","SUPPLIER_DELIVERY_INVOICE","SUPPLIER_CREDIT_NOTE_WITH_STOCK","SUPPLIER_CREDIT_NOTE_WITHOUT_STOCK","SUPPLIER_DEPOSIT_INVOICE","SUPPLIER_PROGRESS_INVOICE","SUPPLIER_PARTIAL_INVOICE","SUPPLIER_FINAL_INVOICE","COMMISSION_SETTLEMENT","COMMISSION_SETTLEMENT_CANCELLATION","SUPPLIER_COMMISSION_CREDIT_NOTE","SUPPLIER_COMMISSION_CREDIT_NOTE_CANCELLATION","CUSTOMER_SUBSCRIPTION_CONTRACT","POS_CASH_JOURNAL_OPENING","POS_CASH_RECEIPT","POS_RETURN_CASH_RECEIPT","POS_CASH_JOURNAL_DEPOSIT","POS_CASH_JOURNAL_EXPENSE","POS_CASH_JOURNAL_CLOSING","FABRICATION_ORDER"]},"documentType":{"type":"string","description":"Belegart"},"documentState":{"type":"string","description":"Belegstatus"},"number":{"type":"string","description":"Belegnummer"}},"required":["id"]},"common-task-TaskLogLine":{"description":"Abschluss-Protokoll","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"logTime":{"type":"string","format":"date-time","description":"logTime","readOnly":true},"origin":{"type":"string","description":"log level","enum":["DEBUG","INFO","WARNING","ERROR","CONSOLE","STACKTRACE"],"readOnly":true},"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"}}},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"erp-wms-ReplenishmentProposalLine":{"description":"Position vom Nachschubvorschlag","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"sourceStorageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"targetStorageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"proposedQuantity":{"type":"number","description":"Vorgeschlagene Menge","readOnly":true},"replenishedQuantity":{"type":"number","description":"Tatsächliche Nachschubmenge"},"bookings":{"type":"array","description":"Buchungsdetails","items":{"$ref":"#/components/schemas/erp-wms-ReplenishmentProposalLineBooking"}}},"required":["articleRef","proposedQuantity","replenishedQuantity","sourceStorageRef","targetStorageRef"]},"erp-wms-ReplenishmentProposalLineBooking":{"description":"Buchungsdetails vom Nachschubvorschlag","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageBinRef":{"$ref":"#/components/schemas/erp-stock-StorageBinRef"},"serialNumber":{"$ref":"#/components/schemas/erp-product-ArticleSerialNumber"},"quantity":{"type":"number","description":"Menge"}},"required":["quantity","storageBinRef"]},"erp-stock-StorageBinRef":{"description":"Lagerplatz","properties":{"id":{"type":"integer","format":"int64","description":"ID"},"displayName":{"type":"string","description":"Anzeigename"},"color":{"type":"string","description":"Anzeigefarbe"},"storageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"erp-product-ArticleSerialNumber":{"description":"Seriennummer","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"serialNumber1":{"type":"string","description":"Seriennummer 1","maxLength":255,"minLength":0},"serialNumber2":{"type":"string","description":"Seriennummer 2","maxLength":255,"minLength":0},"expiryDate":{"type":"string","format":"date","description":"Haltbarkeitsdatum"},"note":{"type":"string","description":"Notiz"},"udi":{"type":"string","description":"Unique Device Identifier (UDI)"}},"required":["articleRef","serialNumber1"]},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## PUT /wms/replenishment-proposal/{id}/line/{lineId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Replenishment","description":"Replenishment proposals"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/wms/replenishment-proposal/{id}/line/{lineId}":{"put":{"tags":["Replenishment"],"operationId":"updateProposalLine","parameters":[{"name":"id","in":"path","description":"ID des Nachschubvorschlags","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"lineId","in":"path","description":"ID der zu aktualisierenden Position","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-ReplenishmentProposalLine"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-ReplenishmentProposalLine"}}}}}}}},"components":{"schemas":{"erp-wms-ReplenishmentProposalLine":{"description":"Position vom Nachschubvorschlag","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"sourceStorageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"targetStorageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"proposedQuantity":{"type":"number","description":"Vorgeschlagene Menge","readOnly":true},"replenishedQuantity":{"type":"number","description":"Tatsächliche Nachschubmenge"},"bookings":{"type":"array","description":"Buchungsdetails","items":{"$ref":"#/components/schemas/erp-wms-ReplenishmentProposalLineBooking"}}},"required":["articleRef","proposedQuantity","replenishedQuantity","sourceStorageRef","targetStorageRef"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-ApiObjectReference":{"description":"Related account","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Activ","readOnly":true}},"required":["id"]},"erp-wms-ReplenishmentProposalLineBooking":{"description":"Buchungsdetails vom Nachschubvorschlag","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"storageBinRef":{"$ref":"#/components/schemas/erp-stock-StorageBinRef"},"serialNumber":{"$ref":"#/components/schemas/erp-product-ArticleSerialNumber"},"quantity":{"type":"number","description":"Menge"}},"required":["quantity","storageBinRef"]},"erp-stock-StorageBinRef":{"description":"Lagerplatz","properties":{"id":{"type":"integer","format":"int64","description":"ID"},"displayName":{"type":"string","description":"Anzeigename"},"color":{"type":"string","description":"Anzeigefarbe"},"storageRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"}}},"erp-product-ArticleSerialNumber":{"description":"Seriennummer","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"articleRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"serialNumber1":{"type":"string","description":"Seriennummer 1","maxLength":255,"minLength":0},"serialNumber2":{"type":"string","description":"Seriennummer 2","maxLength":255,"minLength":0},"expiryDate":{"type":"string","format":"date","description":"Haltbarkeitsdatum"},"note":{"type":"string","description":"Notiz"},"udi":{"type":"string","description":"Unique Device Identifier (UDI)"}},"required":["articleRef","serialNumber1"]}}}}
```

## PUT /wms/replenishment-proposal/{id}/finish

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Replenishment","description":"Replenishment proposals"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/wms/replenishment-proposal/{id}/finish":{"put":{"tags":["Replenishment"],"operationId":"finishProposal","parameters":[{"name":"id","in":"path","description":"ID des Nachschubvorschlags","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}}}}
```

## PUT /wms/replenishment-proposal/{id}/cancel

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Replenishment","description":"Replenishment proposals"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/wms/replenishment-proposal/{id}/cancel":{"put":{"tags":["Replenishment"],"operationId":"cancelProposal","parameters":[{"name":"id","in":"path","description":"ID des Nachschubvorschlags","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}}}}
```

## GET /wms/replenishment-proposal/template/{id}

> Find an existing Resource by identifier

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Replenishment","description":"Replenishment proposals"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/wms/replenishment-proposal/template/{id}":{"get":{"tags":["Replenishment"],"summary":"Find an existing Resource by identifier","operationId":"getById_1","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-ReplenishmentProposalTemplate"}}}},"404":{"description":"Resource with given ID was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-wms-ReplenishmentProposalTemplate":{"description":"Vorlage zur Erstellung von Nachschubvorschlägen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Name der Vorlage"},"description":{"type":"string","description":"Beschreibung der Vorlage"},"active":{"type":"boolean","description":"Aktiv?"},"cycleToCreateReplenishmentProposalCronExpression":{"type":"string","description":"Zyklus zur Erstellung von Nachschubvorschlägen (für Background-Jobs, als Quartz-Cron-Expression)"},"alternativeSelectionInVql":{"type":"string","description":"Alternative Selektion in VQL (Spalten: Artikel-ID, Lager-ID, Ziel-Menge)"},"additionalExistsStatementsInVql":{"type":"array","description":"Zusätzliche Exists-Statements in VQL","items":{"type":"string","description":"Zusätzliche Exists-Statements in VQL"}},"targetStorageId":{"type":"integer","format":"int64","description":"Bestimmtes Ziel-Lager für den Nachschubvorschlag"},"articleNumberFrom":{"type":"string","description":"Artikel von"},"articleNumberTo":{"type":"string","description":"Artikel bis"},"productGroupFrom":{"type":"string","description":"Warengruppe von"},"productGroupTo":{"type":"string","description":"Warengruppe bis"},"onlyArticlesWithSalesInNumberOfLastDays":{"type":"integer","format":"int32","description":"Nur Artikel mit Verkäufen in den letzten <i>n</i> Tagen"},"onlySalesStoragesAsTarget":{"type":"boolean","default":false,"description":"Nur Verkaufslager beachten"},"considerReservedQuantities":{"type":"boolean","default":false,"description":"Reserviert-Mengen beachten"},"considerOrderedQuantities":{"type":"boolean","default":false,"description":"Bestellt-Mengen beachten"},"considerActualAvailableQuantities":{"type":"boolean","default":true,"description":"Tatsächliche verfügbare Mengen beachten. Optionen zu Reserviert- und Bestellt-Mengen werden dabei nicht mehr beachtet, da diese Werte ggf. schon in die Verfügbarkeitsermittlung eingeflossen sind"},"sortByRoutePosition":{"type":"boolean","default":true,"description":"Positionen der Pickliste nach Laufwegposition sortieren"},"specifyStorageBins":{"type":"boolean","default":true,"description":"Lagerplätze vorgeben"},"specifySerialWithOldestExpiryDate":{"type":"boolean","default":false,"description":"Automatische Ermittlung von S/N oder Chargen sortiert über das Verfallsdatum"},"performStockTransferViaDocuments":{"type":"boolean","default":false,"description":"Umlagerung über Belege durchführen"}},"required":["label"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## PUT /wms/replenishment-proposal/template/{id}

> Update existing Resource&#x20;

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Replenishment","description":"Replenishment proposals"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/wms/replenishment-proposal/template/{id}":{"put":{"tags":["Replenishment"],"summary":"Update existing Resource ","operationId":"update_1","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-ReplenishmentProposalTemplate"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-ReplenishmentProposalTemplate"}}}},"404":{"description":"Resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-wms-ReplenishmentProposalTemplate":{"description":"Vorlage zur Erstellung von Nachschubvorschlägen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Name der Vorlage"},"description":{"type":"string","description":"Beschreibung der Vorlage"},"active":{"type":"boolean","description":"Aktiv?"},"cycleToCreateReplenishmentProposalCronExpression":{"type":"string","description":"Zyklus zur Erstellung von Nachschubvorschlägen (für Background-Jobs, als Quartz-Cron-Expression)"},"alternativeSelectionInVql":{"type":"string","description":"Alternative Selektion in VQL (Spalten: Artikel-ID, Lager-ID, Ziel-Menge)"},"additionalExistsStatementsInVql":{"type":"array","description":"Zusätzliche Exists-Statements in VQL","items":{"type":"string","description":"Zusätzliche Exists-Statements in VQL"}},"targetStorageId":{"type":"integer","format":"int64","description":"Bestimmtes Ziel-Lager für den Nachschubvorschlag"},"articleNumberFrom":{"type":"string","description":"Artikel von"},"articleNumberTo":{"type":"string","description":"Artikel bis"},"productGroupFrom":{"type":"string","description":"Warengruppe von"},"productGroupTo":{"type":"string","description":"Warengruppe bis"},"onlyArticlesWithSalesInNumberOfLastDays":{"type":"integer","format":"int32","description":"Nur Artikel mit Verkäufen in den letzten <i>n</i> Tagen"},"onlySalesStoragesAsTarget":{"type":"boolean","default":false,"description":"Nur Verkaufslager beachten"},"considerReservedQuantities":{"type":"boolean","default":false,"description":"Reserviert-Mengen beachten"},"considerOrderedQuantities":{"type":"boolean","default":false,"description":"Bestellt-Mengen beachten"},"considerActualAvailableQuantities":{"type":"boolean","default":true,"description":"Tatsächliche verfügbare Mengen beachten. Optionen zu Reserviert- und Bestellt-Mengen werden dabei nicht mehr beachtet, da diese Werte ggf. schon in die Verfügbarkeitsermittlung eingeflossen sind"},"sortByRoutePosition":{"type":"boolean","default":true,"description":"Positionen der Pickliste nach Laufwegposition sortieren"},"specifyStorageBins":{"type":"boolean","default":true,"description":"Lagerplätze vorgeben"},"specifySerialWithOldestExpiryDate":{"type":"boolean","default":false,"description":"Automatische Ermittlung von S/N oder Chargen sortiert über das Verfallsdatum"},"performStockTransferViaDocuments":{"type":"boolean","default":false,"description":"Umlagerung über Belege durchführen"}},"required":["label"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## DELETE /wms/replenishment-proposal/template/{id}

> Delete an existing Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Replenishment","description":"Replenishment proposals"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/wms/replenishment-proposal/template/{id}":{"delete":{"tags":["Replenishment"],"summary":"Delete an existing Resource","operationId":"delete","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}},"404":{"description":"Resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"409":{"description":"unable to delete Resource, due to constraints, existing references or internal state","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## PUT /wms/replenishment-proposal/template/{id}/deactivate

> deaktiviert eine bestehende Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Replenishment","description":"Replenishment proposals"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/wms/replenishment-proposal/template/{id}/deactivate":{"put":{"tags":["Replenishment"],"summary":"deaktiviert eine bestehende Resource","operationId":"deactivate","parameters":[{"name":"id","in":"path","description":"identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-ReplenishmentProposalTemplate"}}}},"404":{"description":"Resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-wms-ReplenishmentProposalTemplate":{"description":"Vorlage zur Erstellung von Nachschubvorschlägen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Name der Vorlage"},"description":{"type":"string","description":"Beschreibung der Vorlage"},"active":{"type":"boolean","description":"Aktiv?"},"cycleToCreateReplenishmentProposalCronExpression":{"type":"string","description":"Zyklus zur Erstellung von Nachschubvorschlägen (für Background-Jobs, als Quartz-Cron-Expression)"},"alternativeSelectionInVql":{"type":"string","description":"Alternative Selektion in VQL (Spalten: Artikel-ID, Lager-ID, Ziel-Menge)"},"additionalExistsStatementsInVql":{"type":"array","description":"Zusätzliche Exists-Statements in VQL","items":{"type":"string","description":"Zusätzliche Exists-Statements in VQL"}},"targetStorageId":{"type":"integer","format":"int64","description":"Bestimmtes Ziel-Lager für den Nachschubvorschlag"},"articleNumberFrom":{"type":"string","description":"Artikel von"},"articleNumberTo":{"type":"string","description":"Artikel bis"},"productGroupFrom":{"type":"string","description":"Warengruppe von"},"productGroupTo":{"type":"string","description":"Warengruppe bis"},"onlyArticlesWithSalesInNumberOfLastDays":{"type":"integer","format":"int32","description":"Nur Artikel mit Verkäufen in den letzten <i>n</i> Tagen"},"onlySalesStoragesAsTarget":{"type":"boolean","default":false,"description":"Nur Verkaufslager beachten"},"considerReservedQuantities":{"type":"boolean","default":false,"description":"Reserviert-Mengen beachten"},"considerOrderedQuantities":{"type":"boolean","default":false,"description":"Bestellt-Mengen beachten"},"considerActualAvailableQuantities":{"type":"boolean","default":true,"description":"Tatsächliche verfügbare Mengen beachten. Optionen zu Reserviert- und Bestellt-Mengen werden dabei nicht mehr beachtet, da diese Werte ggf. schon in die Verfügbarkeitsermittlung eingeflossen sind"},"sortByRoutePosition":{"type":"boolean","default":true,"description":"Positionen der Pickliste nach Laufwegposition sortieren"},"specifyStorageBins":{"type":"boolean","default":true,"description":"Lagerplätze vorgeben"},"specifySerialWithOldestExpiryDate":{"type":"boolean","default":false,"description":"Automatische Ermittlung von S/N oder Chargen sortiert über das Verfallsdatum"},"performStockTransferViaDocuments":{"type":"boolean","default":false,"description":"Umlagerung über Belege durchführen"}},"required":["label"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## PUT /wms/replenishment-proposal/template/{id}/activate

> aktiviert eine bestehende Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Replenishment","description":"Replenishment proposals"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/wms/replenishment-proposal/template/{id}/activate":{"put":{"tags":["Replenishment"],"summary":"aktiviert eine bestehende Resource","operationId":"activate","parameters":[{"name":"id","in":"path","description":"identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-ReplenishmentProposalTemplate"}}}},"404":{"description":"Resource was not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-wms-ReplenishmentProposalTemplate":{"description":"Vorlage zur Erstellung von Nachschubvorschlägen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Name der Vorlage"},"description":{"type":"string","description":"Beschreibung der Vorlage"},"active":{"type":"boolean","description":"Aktiv?"},"cycleToCreateReplenishmentProposalCronExpression":{"type":"string","description":"Zyklus zur Erstellung von Nachschubvorschlägen (für Background-Jobs, als Quartz-Cron-Expression)"},"alternativeSelectionInVql":{"type":"string","description":"Alternative Selektion in VQL (Spalten: Artikel-ID, Lager-ID, Ziel-Menge)"},"additionalExistsStatementsInVql":{"type":"array","description":"Zusätzliche Exists-Statements in VQL","items":{"type":"string","description":"Zusätzliche Exists-Statements in VQL"}},"targetStorageId":{"type":"integer","format":"int64","description":"Bestimmtes Ziel-Lager für den Nachschubvorschlag"},"articleNumberFrom":{"type":"string","description":"Artikel von"},"articleNumberTo":{"type":"string","description":"Artikel bis"},"productGroupFrom":{"type":"string","description":"Warengruppe von"},"productGroupTo":{"type":"string","description":"Warengruppe bis"},"onlyArticlesWithSalesInNumberOfLastDays":{"type":"integer","format":"int32","description":"Nur Artikel mit Verkäufen in den letzten <i>n</i> Tagen"},"onlySalesStoragesAsTarget":{"type":"boolean","default":false,"description":"Nur Verkaufslager beachten"},"considerReservedQuantities":{"type":"boolean","default":false,"description":"Reserviert-Mengen beachten"},"considerOrderedQuantities":{"type":"boolean","default":false,"description":"Bestellt-Mengen beachten"},"considerActualAvailableQuantities":{"type":"boolean","default":true,"description":"Tatsächliche verfügbare Mengen beachten. Optionen zu Reserviert- und Bestellt-Mengen werden dabei nicht mehr beachtet, da diese Werte ggf. schon in die Verfügbarkeitsermittlung eingeflossen sind"},"sortByRoutePosition":{"type":"boolean","default":true,"description":"Positionen der Pickliste nach Laufwegposition sortieren"},"specifyStorageBins":{"type":"boolean","default":true,"description":"Lagerplätze vorgeben"},"specifySerialWithOldestExpiryDate":{"type":"boolean","default":false,"description":"Automatische Ermittlung von S/N oder Chargen sortiert über das Verfallsdatum"},"performStockTransferViaDocuments":{"type":"boolean","default":false,"description":"Umlagerung über Belege durchführen"}},"required":["label"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## POST /wms/replenishment-proposal/template

> Create new Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Replenishment","description":"Replenishment proposals"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/wms/replenishment-proposal/template":{"post":{"tags":["Replenishment"],"summary":"Create new Resource","operationId":"create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-ReplenishmentProposalTemplate"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-ReplenishmentProposalTemplate"}}}},"422":{"description":"Resource was not valid to process","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-wms-ReplenishmentProposalTemplate":{"description":"Vorlage zur Erstellung von Nachschubvorschlägen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Name der Vorlage"},"description":{"type":"string","description":"Beschreibung der Vorlage"},"active":{"type":"boolean","description":"Aktiv?"},"cycleToCreateReplenishmentProposalCronExpression":{"type":"string","description":"Zyklus zur Erstellung von Nachschubvorschlägen (für Background-Jobs, als Quartz-Cron-Expression)"},"alternativeSelectionInVql":{"type":"string","description":"Alternative Selektion in VQL (Spalten: Artikel-ID, Lager-ID, Ziel-Menge)"},"additionalExistsStatementsInVql":{"type":"array","description":"Zusätzliche Exists-Statements in VQL","items":{"type":"string","description":"Zusätzliche Exists-Statements in VQL"}},"targetStorageId":{"type":"integer","format":"int64","description":"Bestimmtes Ziel-Lager für den Nachschubvorschlag"},"articleNumberFrom":{"type":"string","description":"Artikel von"},"articleNumberTo":{"type":"string","description":"Artikel bis"},"productGroupFrom":{"type":"string","description":"Warengruppe von"},"productGroupTo":{"type":"string","description":"Warengruppe bis"},"onlyArticlesWithSalesInNumberOfLastDays":{"type":"integer","format":"int32","description":"Nur Artikel mit Verkäufen in den letzten <i>n</i> Tagen"},"onlySalesStoragesAsTarget":{"type":"boolean","default":false,"description":"Nur Verkaufslager beachten"},"considerReservedQuantities":{"type":"boolean","default":false,"description":"Reserviert-Mengen beachten"},"considerOrderedQuantities":{"type":"boolean","default":false,"description":"Bestellt-Mengen beachten"},"considerActualAvailableQuantities":{"type":"boolean","default":true,"description":"Tatsächliche verfügbare Mengen beachten. Optionen zu Reserviert- und Bestellt-Mengen werden dabei nicht mehr beachtet, da diese Werte ggf. schon in die Verfügbarkeitsermittlung eingeflossen sind"},"sortByRoutePosition":{"type":"boolean","default":true,"description":"Positionen der Pickliste nach Laufwegposition sortieren"},"specifyStorageBins":{"type":"boolean","default":true,"description":"Lagerplätze vorgeben"},"specifySerialWithOldestExpiryDate":{"type":"boolean","default":false,"description":"Automatische Ermittlung von S/N oder Chargen sortiert über das Verfallsdatum"},"performStockTransferViaDocuments":{"type":"boolean","default":false,"description":"Umlagerung über Belege durchführen"}},"required":["label"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```

## POST /wms/replenishment-proposal/create

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Replenishment","description":"Replenishment proposals"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/wms/replenishment-proposal/create":{"post":{"tags":["Replenishment"],"operationId":"createProposalIndirect","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-wms-ReplenishmentProposalTemplate"}}},"required":true},"responses":{"200":{"description":"OK"}}}}},"components":{"schemas":{"erp-wms-ReplenishmentProposalTemplate":{"description":"Vorlage zur Erstellung von Nachschubvorschlägen","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Name der Vorlage"},"description":{"type":"string","description":"Beschreibung der Vorlage"},"active":{"type":"boolean","description":"Aktiv?"},"cycleToCreateReplenishmentProposalCronExpression":{"type":"string","description":"Zyklus zur Erstellung von Nachschubvorschlägen (für Background-Jobs, als Quartz-Cron-Expression)"},"alternativeSelectionInVql":{"type":"string","description":"Alternative Selektion in VQL (Spalten: Artikel-ID, Lager-ID, Ziel-Menge)"},"additionalExistsStatementsInVql":{"type":"array","description":"Zusätzliche Exists-Statements in VQL","items":{"type":"string","description":"Zusätzliche Exists-Statements in VQL"}},"targetStorageId":{"type":"integer","format":"int64","description":"Bestimmtes Ziel-Lager für den Nachschubvorschlag"},"articleNumberFrom":{"type":"string","description":"Artikel von"},"articleNumberTo":{"type":"string","description":"Artikel bis"},"productGroupFrom":{"type":"string","description":"Warengruppe von"},"productGroupTo":{"type":"string","description":"Warengruppe bis"},"onlyArticlesWithSalesInNumberOfLastDays":{"type":"integer","format":"int32","description":"Nur Artikel mit Verkäufen in den letzten <i>n</i> Tagen"},"onlySalesStoragesAsTarget":{"type":"boolean","default":false,"description":"Nur Verkaufslager beachten"},"considerReservedQuantities":{"type":"boolean","default":false,"description":"Reserviert-Mengen beachten"},"considerOrderedQuantities":{"type":"boolean","default":false,"description":"Bestellt-Mengen beachten"},"considerActualAvailableQuantities":{"type":"boolean","default":true,"description":"Tatsächliche verfügbare Mengen beachten. Optionen zu Reserviert- und Bestellt-Mengen werden dabei nicht mehr beachtet, da diese Werte ggf. schon in die Verfügbarkeitsermittlung eingeflossen sind"},"sortByRoutePosition":{"type":"boolean","default":true,"description":"Positionen der Pickliste nach Laufwegposition sortieren"},"specifyStorageBins":{"type":"boolean","default":true,"description":"Lagerplätze vorgeben"},"specifySerialWithOldestExpiryDate":{"type":"boolean","default":false,"description":"Automatische Ermittlung von S/N oder Chargen sortiert über das Verfallsdatum"},"performStockTransferViaDocuments":{"type":"boolean","default":false,"description":"Umlagerung über Belege durchführen"}},"required":["label"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}}}}}
```

## POST /wms/replenishment-proposal/create/{templateId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"Replenishment","description":"Replenishment proposals"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/wms/replenishment-proposal/create/{templateId}":{"post":{"tags":["Replenishment"],"operationId":"createPicklistsIndirect","parameters":[{"name":"templateId","in":"path","description":"ID der zu verwendenden Picklisten-Vorlage","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.vario-software.de/api-reference/replenishment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
